none
Referencing framework 4 assemblies from Visual Studio 2008 RRS feed

  • Question

  • Hi all,

    I read a lot about Visual Studio 2008 and framework 4, and I have understood that it is not possible compiling framework 4 with Visual Studio 2008. By the way, I cannot find a definitive answer to a sibling question: it is possible, within a Visual Studio 2008 project (say 3.5), to reference a framework 4 assembly?

    Trying to do so, I get the following error

    [...] This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded.

     

    thanks

    roberto

    Tuesday, September 21, 2010 2:22 PM

Answers

  • My apologies! What a silly typo :-(

    Yes, I mean't 4.0, and AFAIK, you cannot make VS 2008 see 4.0.

    • Marked as answer by Roberto Vigo Wednesday, September 22, 2010 7:08 AM
    Tuesday, September 21, 2010 5:06 PM

All replies

  • The error message you get says it all.

    VS 2008 simply does not "see" .NET 3.0.

    Tuesday, September 21, 2010 2:34 PM
  • Do you mean 4.0?

     

    And, moreover, it doesn't see AND it is not possible to make it seeing 4.0?

    Tuesday, September 21, 2010 2:36 PM
  • My apologies! What a silly typo :-(

    Yes, I mean't 4.0, and AFAIK, you cannot make VS 2008 see 4.0.

    • Marked as answer by Roberto Vigo Wednesday, September 22, 2010 7:08 AM
    Tuesday, September 21, 2010 5:06 PM